Bug 236112 - net/glusterfs: Startup should happen before mountlate
Summary: net/glusterfs: Startup should happen before mountlate
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Florian Smeets
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-28 18:45 UTC by Daniel Morante
Modified: 2020-07-30 03:12 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (craig001)
koobs: merge-quarterly-


Attachments
Before changing rc script (68.16 KB, image/png)
2019-02-28 18:45 UTC, Daniel Morante
no flags Details
After changing rc script (71.54 KB, image/png)
2019-02-28 18:45 UTC, Daniel Morante
no flags Details
Unified diff to fix the mentioned issue (645 bytes, patch)
2019-08-21 01:58 UTC, Daniel Morante
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Morante 2019-02-28 18:45:14 UTC
Created attachment 202448 [details]
Before changing rc script

To support the ability to have replicated volumes auto mount on boot, glusterd should start up before the system starts mounting late filessystems.

In `/usr/local/etc/rc.d/glusterd`

Change:

```
# PROVIDE: glusterd
# REQUIRE: LOGIN
# KEYWORD: shutdown
```

To:

```
# PROVIDE: glusterd
# BEFORE: mountlate
# REQUIRE: NETWORKING
# KEYWORD: shutdown
```

For context, `/etc/fstab` has (example):

```
localhost:replicated	/path/to/replicated	fusefs	rw,_netdev,backupvolfile-server=host1:host2:host3,mountprog=/usr/local/sbin/mount_glusterfs,late	0	0
```
Comment 1 Daniel Morante 2019-02-28 18:45:40 UTC
Created attachment 202449 [details]
After changing rc script
Comment 2 craig001 2019-03-04 09:51:19 UTC
Folks,  please change maintainership of the port.
Comment 3 Daniel Morante 2019-08-21 01:58:14 UTC
Created attachment 206744 [details]
Unified diff to fix the mentioned issue

Created patch to fix the problem.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-21 05:30:05 UTC
Thank you for the report and patch Daniel

^Triage: Assign myself to take care of the maintainership reset (comment 2) and open issues (for glusterfs) re-triage
Comment 5 commit-hook freebsd_committer 2020-07-29 20:34:23 UTC
A commit references this bug:

Author: flo
Date: Wed Jul 29 20:34:01 UTC 2020
New revision: 543674
URL: https://svnweb.freebsd.org/changeset/ports/543674

Log:
  Update to 8.0, this is a collaborative effort between Daniel Morante and
  myself.

  - update to 8.0
  - make it possible to mount gluster volumes on boot [1]
  - reset maintainer [1], I would have set it to ports@ but Daniel volunteered
    to maintain the port
  - add pkg-message to point out that procfs is required for some operations
    like "gluster volume status" which is also required for self healing. [2]

  This version works although I still see the same memory leak as with the
  3.X series.

  PR:		236112 [1], 223671 [2]
  Submitted by:	Daniel Morante <daniel@morante.net>, flo
  Obtained from:	https://github.com/tuaris/freebsd-glusterfs7
  Differential Revision:	D25037

Changes:
  head/net/glusterfs/Makefile
  head/net/glusterfs/distinfo
  head/net/glusterfs/files/glusterd.in
  head/net/glusterfs/files/patch-configure
  head/net/glusterfs/files/patch-configure.ac
  head/net/glusterfs/files/patch-contrib_fuse-lib_mount.c
  head/net/glusterfs/files/patch-extras_Makefile.in
  head/net/glusterfs/files/patch-libglusterfs_src_common-utils.c
  head/net/glusterfs/files/patch-libglusterfs_src_syscall.c
  head/net/glusterfs/files/patch-xlators_mgmt_glusterd_src_Makefile.am
  head/net/glusterfs/pkg-message
  head/net/glusterfs/pkg-plist
Comment 6 Florian Smeets freebsd_committer 2020-07-29 20:37:47 UTC
Committed. Thanks.
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-30 03:12:27 UTC
^Triage: Assign to committer that resolved